%define __cmake3 %{nil}

Name:           phonon
Version:        4.10.1
Release:        5
License:        LGPLv2+
Summary:        Multimedia library
URL:            http://phonon.kde.org/
Source0:        http://download.kde.org/stable/phonon/%{version}/phonon-%{version}.tar.xz
BuildRequires:  automoc4 >= 0.9.86 cmake >= 2.8.9 extra-cmake-modules kf5-rpm-macros kde-filesystem
BuildRequires:  pkgconfig pkgconfig(glib-2.0) pkgconfig(libpulse-mainloop-glib) > 0.9.15 pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(QtDBus) pkgconfig(QtDesigner) pkgconfig(QtOpenGL) pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Designer) pkgconfig(Qt5OpenGL) pkgconfig(Qt5Widgets) pkgconfig(xcb)
Requires:       kde-filesystem
%{?_qt4:Requires: %{_qt4} >= %{_qt4_version}}
Provides:       phonon-experimental = %{version}-%{release}

Patch0001:      phonon-rpath_use_link_path.patch
Patch0002:      phonon-DEFAULT_SOURCE.patch
Patch0003:      0001-modify-kf5-knotifyconfig-compile-error.patch
%description
Phonon provides a Qt-style interface for audio and video.It is aimed at
the average desktop application, whether that is a game that needs sound
effects or a full-blown multimedia playback application like Amarok or Bangarang.

%package        devel
Summary:        Developer files for phonon
Requires:       phonon = %{version}-%{release}
Provides:       phonon-experimental-devel = %{version}-%{release}

%description    devel
Developer files for phonon.

%package        qt5
Summary:        phonon for Qt5
%{?_qt5:Requires: %{_qt5} >= %{_qt5_version}}

%description    qt5
phonon for Qt5.

%package        qt5-devel
Summary:        Developer files for phonon-qt5
Requires:       phonon-qt5 = %{version}-%{release}

%description    qt5-devel
Developer files for phonon-qt5.

%prep
%autosetup -n phonon-%{version} -p1
%build
mkdir %{_target_platform}
cd %{_target_platform}
%{cmake} .. -DCMAKE_BUILD_TYPE:STRING="Release" %{!?zeitgeist:-DCMAKE_DISABLE_FIND_PACKAGE_QZeitgeist:BOOL=ON} \
            -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=OFF -DPHONON_INSTALL_QT_COMPAT_HEADERS:BOOL=ON \
            -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON
cd -
%make_build -C %{_target_platform}
mkdir %{_target_platform}-Qt5
cd %{_target_platform}-Qt5
%{cmake_kf5} .. -DCMAKE_BUILD_TYPE:STRING="Release" -DPHONON_BUILD_DECLARATIVE_PLUGIN:BOOL=OFF \
                -DPHONON_BUILD_PHONON4QT5:BOOL=ON -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT:BOOL=ON
cd -
%make_build -C %{_target_platform}-Qt5
%install
%make_install -C %{_target_platform}-Qt5
%make_install -C %{_target_platform}
install -d %{buildroot}%{_kde4_libdir}/kde4/plugins/phonon_backend/
install -d %{buildroot}%{_kde4_datadir}/kde4/services/phononbackends/
install -d %{buildroot}%{_qt5_plugindir}/phonon4qt5_backend
%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion phonon)" = "%{version}"
test "$(pkg-config --modversion phonon4qt5)" = "%{version}"
%post
/sbin/ldconfig
%postun
/sbin/ldconfig
%post qt5
/sbin/ldconfig
%postun qt5
/sbin/ldconfig
%pretrans devel -p <lua>
path = "%{_includedir}/phonon/Phonon"
st = posix.stat(path)
if st and st.type == "link" then
    os.remove(path)
end

%files
%doc COPYING.LIB
%{_libdir}/{libphonon.so.4*,libphononexperimental.so.4*}
%{_qt4_plugindir}/designer/libphononwidgets.so
%dir %{_datadir}/phonon/
%dir %{_kde4_libdir}/kde4/plugins/phonon_backend/
%dir %{_kde4_datadir}/kde4/services/phononbackends/

%files devel
%{_datadir}/dbus-1/interfaces/org.kde.Phonon.AudioOutput.xml
%{_datadir}/phonon/buildsystem/
%{_libdir}/cmake/phonon/
%{_includedir}/KDE/Phonon/
%{_includedir}/phonon/
%{_libdir}/pkgconfig/phonon.pc
%{_libdir}/*.so
%{_qt4_datadir}/mkspecs/modules/qt_phonon.pri
%exclude %{_libdir}/libphonon4qt5.so
%exclude %{_libdir}/libphonon4qt5experimental.so

%files qt5
%doc COPYING.LIB
%dir %{_datadir}/phonon4qt5
%{_libdir}/{libphonon4qt5.so.4*,libphonon4qt5experimental.so.4*}
%{_qt5_plugindir}/designer/phononwidgets.so
%dir %{_qt5_plugindir}/phonon4qt5_backend/

%files qt5-devel
%{_datadir}/dbus-1/interfaces/org.kde.Phonon4Qt5.AudioOutput.xml
%{_datadir}/phonon4qt5/buildsystem/
%{_libdir}/cmake/phonon4qt5/
%{_includedir}/phonon4qt5/
%{_libdir}/*.so
%{_libdir}/pkgconfig/phonon4qt5.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_phonon4qt5.pri
%exclude %{_libdir}/libphonon.so
%exclude %{_libdir}/libphononexperimental.so

%changelog
* Tue Jan 25 2022 pei-jiankang<peijiankang@kylinos.com> - 4.10.1-5
- modify kf5-knotifyconfig compile error 

* Mon Dec 2 2019 Ling Yang <lingyang2@huawei.com> - 4.10.1-4
- Package init
